<?php

$g_conf_mysql_cluster = require('../config/pay.mysql.cluster.php');
//$g_conf_redis_cluster = require('../config/pay.redis.cluster.php');
$g_conf_global_redis = require('../config/pay.global.redis.php');

function checkMysqlConfig()
{
    $instance_id = 1;
    global $g_conf_mysql_cluster;
    foreach ($g_conf_mysql_cluster as $instance) {
        if ($instance_id != $instance['instance_id']) {
            error_log('pay.mysql.cluster.php config error');
            die();
        }
        $instance_id++;
    }
}


function checkRedisConfig()
{
    $instance_id = 1;
    global $g_conf_redis_cluster;
    foreach ($g_conf_redis_cluster as $instance) {
        if ($instance_id != $instance['instance_id']) {
            error_log('pay.redis.cluster.php config error');
            die();
        }
        $instance_id++;
    }
}

function getMysqlConfig($hash_value)
{
    if ($hash_value < 0) {
        die('hash_value < 0 ' . $hash_value);
    }
    global $g_conf_mysql_cluster;
    $idx = $hash_value % count($g_conf_mysql_cluster);
    return $g_conf_mysql_cluster[$idx];
}

/*function getRedisConfig($hash_value)
{
    if ($hash_value < 0) {
        die('hash_value < 0 ' . $hash_value);
    }
    global $g_conf_redis_cluster;
    $idx = $hash_value % count($g_conf_redis_cluster);
    return $g_conf_redis_cluster[$idx];
    }*/

function getGlobalRedisConfig()
{
    global $g_conf_global_redis;
    return $g_conf_global_redis;
}

checkMysqlConfig();
//checkRedisConfig();
