<?php

namespace sdkwarpper;

$g_platform_sdk_hash = array(
    UNIFIED_WEIXIN_CHANNEL => array(
        'channel' => UNIFIED_WEIXIN_CHANNEL,
        'sdk_file' => 'UnifiedWeiXin.php',
        'class' => 'UnifiedWeiXin'
    ),
    GOOGLE_ANDROID_CHANNEL => array(
        'channel' => GOOGLE_ANDROID_CHANNEL,
        'sdk_file' => 'GoogleAndroid.php',
        'class' => 'GoogleAndroid'
    ),
);

function createSdkByChannel($channel)
{
    global $g_platform_sdk_hash;
    foreach ($g_platform_sdk_hash as $key => $value) {
        if ($value['channel'] == $channel) {
            require 'sdkwarpper/' . $value['sdk_file'];
            $class_name = "sdkwarpper\\" . $value['class'];
            return new $class_name;
        }
    }
    return null;
}
